﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace OpacityMaskTester
{
    public class RGB
    {
        private byte? RedByte;
        private byte? GreenByte;
        private byte? BlueByte;

        public byte? Green {
            get { return GreenByte; }
            set { GreenByte = value; }
        }

        public byte? Blue {
            get { return BlueByte; }
            set { BlueByte = value; }
        }

        public byte? Red {
            get { return RedByte; }
            set { RedByte = value; }
        }
        public RGB() { }
        public RGB(String Raw) {
            string[] val = Raw.Split(';');
            RedByte = Convert.ToByte(val[0]);
            GreenByte = Convert.ToByte(val[1]);
            BlueByte = Convert.ToByte(val[2]);
        }

        public override string ToString() {
            return (string.Format("{0},{1},{2}",RedByte,GreenByte,BlueByte));
        }
    }
}
